.coming-soon {
  color: #667085;
  font-size: 14px;
  text-align: center;
  font-style: italic;
}

.download-app {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 8px;
  border-radius: 32px;
  margin-inline: 1rem;
  margin-bottom: 1rem;
  background-color: #fff;
  margin-top: 1rem;
}

.leaderboards {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  border-radius: 32px;
  margin-inline: 1rem;
  margin-bottom: 1rem;
  background-color: #fff;
  padding: 0.5rem;
}

.form-groups {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  width: 100%;
  padding-inline: 0.5rem;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.form-group {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
}

.form-control {
  background: url(../svg/search.svg) #fff no-repeat scroll 12px 13px;
  padding: 0.75rem 1rem;
  padding-left: 2.5rem;
  border-radius: 6rem;
  border: 1px solid var(--color-gray-300, #d0d5dd);

  color: var(--color-gray-500, #667085);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  max-width: 100% !important;
}

.form-select {
  --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
  display: block;
  width: 100%;
  padding: 0.375rem 2.25rem 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-body-color);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--bs-body-bg);
  background-image: var(--bs-form-select-bg-img),
    var(--bs-form-select-bg-icon, none);
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 16px 12px;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-select {
  padding: 0.75rem 1.25rem;
  border-radius: 6rem;
  border: 1px solid var(--color-gray-300, #d0d5dd);
  background-color: #fff;
  color: var(--color-gray-500, #667085);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.form-select-custom {
  padding: 0.75rem 1.25rem;
  border-radius: 6rem;
  border: 1px solid var(--color-gray-300, #d0d5dd);
  background-color: #fff;
  color: var(--color-gray-500, #667085);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.form-select-custom span {
  overflow-x: scroll;
  scrollbar-width: none;
  /* For Firefox */
}

.form-select-custom span::-webkit-scrollbar {
  display: none;
  /* For Chrome, Safari, and Opera */
}

.top-row {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 1rem;
  padding-inline: 0.5rem;
  width: 100%;
}

.leaderboard-mobile {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
  align-items: center;
  width: 100%;
}

.leaderboard-mobile .leaderboard__item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  background: linear-gradient(90deg, #D02670 31%, #A670FF 61%, #7AAAFF 88%);
  border-radius: 32px;
  padding-inline: 2px;
  padding-bottom: 2px;
  padding-top: 16px;
  width: 100%;
}

.leaderboard__item__header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: #fff;
}

.leaderboard__body {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  padding-block: 32px;
  border-radius: 32px;
  background-color: #fff;
  width: 100%;
}

.leaderboard-top6__body {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 16px;
  padding-block: 8px;
  padding-inline: 16px;
  border-radius: 32px;
  background-color: #fff;
  width: 100%;
  box-sizing: border-box;
}

.leaderboard-item-top7 {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 16px;
  padding-block: 8px;
  padding-inline: 16px;
  border-radius: 32px;
  background-color: #F9FAFB;
  width: 100%;
  box-sizing: border-box;
}

.leaderboard-top6__body:nth-child(3),
.leaderboard-top6__body:nth-child(4) {
  flex-grow: 2;
}

.top-rank {
  font-size: 24px;
}

.form-control {
  padding-left: 2.5rem !important;
}

.rank {
  align-self: flex-start;
}

.body-content {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
  text-align: left;
}

.cash-prize {
  font-size: 16px;
  text-align: center;
}

.cash-prize-1 {
  font-size: 16px;
}

.top-row__item {
  color: #667085;
}

.top-rank {
  font-size: 30px;
}

.leaderboard-medium {
  display: none;
}

.board-item.hidden {
  display: none;
}

.gray {
  color: #101828;
}

.group-name {
  text-align: left;
  width: 90px;
}

#error-message {
  gap: 2rem;
  align-items: center;
  margin-top: 1rem;
}

#error-message>img {
  margin-left: auto;
  margin-right: auto;
  width: 15rem;
  height: auto;
}

#error-message h2 {
  font-weight: 600;
  font-size: 1.5rem;
  line-height: 2rem;
  margin-bottom: 1rem;
}

#error-message span {
  text-wrap: nowrap;
}

#error-message a {
  color: #da1e28;
  text-decoration: none;
  font-weight: 600;
  text-wrap: nowrap;
}

@media not all and (min-width: 1024px) {
  #error-message {
    flex-direction: column;
  }
}

@media not all and (min-width: 768px) {
  #error-message>div {
    text-align: center;
  }
}

@media (min-width: 768px) {
  .leaderboard-mobile {
    display: none;
  }

  .form-groups {
    flex-direction: row;
    justify-content: flex-start;
    padding-inline: 1rem;
    box-sizing: border-box;
  }

  .leaderboard-medium {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 16px;
    align-items: center;
    width: 100%;
    max-height: 1688px;
    padding-block: 0;
    padding-inline: 20px;
    overflow-y: scroll;
    box-sizing: border-box;
  }

  .leaderboard-medium-item {
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-width: 100%;
    border-radius: 32px;
    gap: 16px;
    padding-inline: 1rem;
    padding-block: 1rem;
    box-sizing: border-box;
    background-color: #F9FAFB;
  }

  .leaderboard-medium__item__rank {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: 30%;
    font-size: 24px;
  }

  .leaderboard-medium__item__details {
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 2rem;
    width: 70%;
    padding-left: 3rem;
    padding-right: 5rem;
  }

  .leaderboard-medium__name {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    font-size: 20px;
    width: 80%;
    min-width: 400px;
  }

  .leaderboard-medium__points {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    font-size: 20px;
    width: 20%;
  }

  .demi {
    font-size: 24px;
    font-weight: 600;
    color: #101828;
  }

  .group-name {
    text-align: left;
    width: 150px;
  }

  .gradient-outline {
    border: 1px solid transparent;
    background-image: linear-gradient(white, white), linear-gradient(90deg, #D02670 0%, #A670FF 42%, #7AAAFF 100%);
    background-origin: border-box;
    background-clip: padding-box, border-box;
  }

  .rank1-medium {
    background: linear-gradient(90deg, #D02670 0%, #A670FF 42%, #7AAAFF 100%);
  }

  .rank1-medium .leaderboard-medium__item__rank,
  .rank1-medium .leaderboard-medium__item__details .leaderboard-medium__name,
  .rank1-medium .leaderboard-medium__item__details .leaderboard-medium__points {
    color: #fff;
    text-align: left;
    font-size: 30px;
  }

  .form-group {
    max-width: 400px;
  }

  .leaderboard-medium::-webkit-scrollbar {
    height: 12px;
    width: 16px;
  }

  .leaderboard-medium::-webkit-scrollbar-track {
    background-color: #f1f1f1;
  }

  .leaderboard-medium::-webkit-scrollbar-thumb {
    background-color: #D0D5DD;
    border-radius: 32px;
    border: none;
  }

  .leaderboard-medium::-webkit-scrollbar-thumb:hover {
    background-color: #D0D5DD;
  }

  #error-message>img {
    width: 20rem
  }
}

@media (min-width: 1024px) {
  #error-message h2 {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }

  .leaderboards {
    max-width: 80%;
    margin-inline: auto;
  }

  .group-name {
    width: 100%;
  }
}

@media (min-width: 1440px) {
  .leaderboards .section__article p {
    max-width: 1152px;
  }
}
